import Vue from "vue";
import Router from "vue-router";

import Home from "./views/Home.vue";
import login from "./modules/login/router";
import account from "./modules/account/router";
// module-example
import example from "./modules/example/router";

Vue.use(Router);

export default new Router({
  routes: [
    {
      path: "/",
      name: "Index",
      redirect: { name: "Login" }
    },
    {
      path: "/home",
      name: "Home",
      component: Home,
      children: [...account, ...example]
    },
    { ...login }
    // [lazy-loaded] route level code-splitting
    // {
    //   path: "/about",
    //   name: "about",
    //   // this generates a separate chunk (about.[hash].js) for this route
    //   // which is lazy-loaded when the route is visited.
    //   component: () =>
    //     import(/* webpackChunkName: "about" */ "./views/About.vue")
    // }
  ]
});
